Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.parser
Class XQueryAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.exist.xquery.parser.XQueryAST

All Implemented Interfaces:
  antlr.collections.AST, java.io.Serializable

public class XQueryAST
extends antlr.CommonAST

Author:
  Wolfgang Meier (wolfgang@exist-db.org)
See Also:
  Serialized Form

Constructor Summary
`XQueryAST()`
`XQueryAST(antlr.collections.AST ast)`
`XQueryAST(int type, java.lang.String text)`

Method Summary
`void` | `copyLexInfo(XQueryAST ast)`
`int` | `getColumn()`
`int` | `getLine()`
`void` | `initialize(antlr.collections.AST ast)`
`void` | `initialize(antlr.Token token)`
`void` | `setColumn(int column)`
`void` | `setLine(int line)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryAST

    public XQueryAST()

### XQueryAST

    public XQueryAST(int type,
                     java.lang.String text)

### XQueryAST

    public XQueryAST(antlr.collections.AST ast)

Method Detail

### initialize

    public void initialize(antlr.collections.AST ast)

### initialize

    public void initialize(antlr.Token token)

### copyLexInfo

    public void copyLexInfo(XQueryAST ast)

### setLine

    public void setLine(int line)

### setColumn

    public void setColumn(int column)

### getLine

    public int getLine()

### getColumn

    public int getColumn()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.